<?php
/**
 * @copyright 2012 Talldude Networks, LLC.
 */

// make sure we are not being called directly
defined('APP_DIR') or exit();

/**
 * meta
 */
function xxInfo_meta()
{
    $_tmp = array(
        'name'        => 'Info',
        'url'         => 'info',
        'version'     => '1.0.0',
        'developer'   => 'The Jamroom Network, &copy;' . strftime('%Y'),
        'description' => 'Allows pages to be added while site in Limited Privacy mode',
        'category'    => 'custom',
        'license'     => 'mpl'
    );
    return $_tmp;
}

/**
 * init
 */
function xxInfo_init()
{

    jrCore_register_event_listener('jrUser', 'site_privacy_check', 'xxInfo_site_privacy_check_listener');
    return true;
}

//-----------------------------
// Listeners
//-----------------------------

function xxInfo_site_privacy_check_listener($_data, $_user, $_conf, $_args, $event){

        switch ($_args['option']) {
            case 'about':
                $_data['allow_private_site_view'] = true;
                break;
        }

    return $_data;

}
